<?php declare(strict_types=1);

namespace Infomaker\Everyware\Twig;

use RecursiveFilterIterator;
use RecursiveIterator;

/**
 * DirFilter
 *
 * @todo    Move to own file? Where is it used?
 *
 * @link    http://infomaker.se
 * @package Infomaker\Everyware\Twig
 * @since   Infomaker\Everyware\Twig\DirFilter 0.1
 */
class DirFilter extends RecursiveFilterIterator
{

    /**
     * Contains an array of files and folders to exclude
     *
     * @var array
     */
    protected $exclude;

    /**
     * DirFilter constructor.
     *
     * @param \RecursiveIterator $iterator
     * @param array $exclude
     */
    public function __construct(RecursiveIterator $iterator, array $exclude)
    {
        parent::__construct($iterator);
        $this->exclude = $exclude;
    }

    /**
     * Check whether the current element of the iterator is acceptable
     *
     * @link  https://php.net/manual/en/filteriterator.accept.php
     * @return bool true if the current element is acceptable, otherwise false.
     */
    public function accept()
    {
        // TODO: Implement accept() method.
    }
}
